Bug 67106 - file list expansions using [M-N] ranges produces wrong results
file list expansions using [M-N] ranges produces wrong results
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: bash (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-19 23:23 EDT by ellson
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-20 10:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ellson 2002-06-19 23:23:23 EDT
Description of Problem:
"ls [M-N]" should list only file "M" and "N" if they exist, not "m" or "n"


Version-Release number of selected component (if applicable):
bash-2.05a-14.i386.rpm

How Reproducible:
100%

Steps to Reproduce:
1. touch m M n
2. ls [M-N]
3. 

Actual Results:
M n

Expected Results:
M

Additional Information:
Problem does not exist in bash-2.05a-13 from Redhat-7.3
Comment 1 Bernhard Rosenkraenzer 2002-06-20 07:30:31 EDT
This is the correct result.
Bash is i18n aware these days.
If you don't like it, use LC_COLLATE=C
Comment 2 ellson 2002-06-20 07:59:50 EDT
I think that LC_COLLATE=C should be the default so that the behavior of
shell scripts and Makefiles don't suddenly change.
Comment 3 ellson 2002-06-20 10:15:54 EDT
LC_COLLATE=C does restore reasonable behavior, but 
I can't see the logic of the new changed collate sequence.  It still looks like
a bug to me.

In the example:
   touch m M n 
   ls [M-N]
why is "M" listed but not "m"


Note You need to log in before you can comment on or make changes to this bug.